# Features

## Overview <a href="#view-site-devices-0" id="view-site-devices-0"></a>

Device Finder allows store managers to view the location, status, and last access point of devices assigned to their site/location. This application can also be used to locate lost or missing devices by retrieving information about the last access point connection and logged-in user.

### View Site Devices  <a href="#view-site-devices-0" id="view-site-devices-0"></a>

The site devices can be viewed in a List or Map view.

#### Device List View <a href="#device-list-view-1" id="device-list-view-1"></a>

Store managers use this feature to view devices assigned to their site/location. The **List View** is the default display and toggles to **Map View**. Each device listed displays the following:

* Serial Number
* Status
* Last Reported Activity
* Last Known User&#x20;
* Battery Charge &#x20;
* Current Distance from Device

Device Finder has 3 tabs displayed in List View:

* **All Devices** - show all devices known for this site
* **In Use** - shows all devices reporting that are currently in use/not cradled
* **Not Reporting** - shows all devices with no reporting in the last 12 hours

![](https://static.helpjuice.com/helpjuice_production/uploads/upload/image/12772/2475930/image.png)

{% hint style="info" %}
Do not be alarmed if **In Use** and **Not Reporting** device counts do not add up to the count for **All Devices**. The **All Devices** tab also includes devices at that site/location that are cradled/not in use.
{% endhint %}

#### Device Map View <a href="#device-map-view-2" id="device-map-view-2"></a>

Tap the **Map View** button to see the same list of devices overlaid on a map.  Each map locator is color coded for *Cradled*, *In Use,* or *Not Reporting*. Tap on a map locator to view the *serial number* of the device, *Last user*, *Model*, and *Status*.

![](https://static.helpjuice.com/helpjuice_production/uploads/upload/image/12772/2476010/image.png)

Map views depicted in the Device Finder are made available by [OpenStreetMap](https://www.openstreetmap.org/copyright).<br>

### View Device Details

Tap on a device for additional details.  If Bluetooth is enabled it displays the current distance of that device from the current device.

![](https://static.helpjuice.com/helpjuice_production/uploads/upload/image/12772/2476015/image.png)

#### Ping a Device <a href="#ping-a-device-4" id="ping-a-device-4"></a>

Tap the **Ping Device** button to trigger an audible on a device. &#x20;

![](https://static.helpjuice.com/helpjuice_production/uploads/upload/image/12772/2476017/image.png)

#### Beaconing <a href="#device-ble-bluetooth-low-energy-5" id="device-ble-bluetooth-low-energy-5"></a>

When beaconing is enabled (`"beaconEnabled": true`) across all the devices at a site, any device can view granular details, such as proximity in meters, signal strength (RSSI), and MAC address, for any other device. This information is found under the **Beacon Information** segment.

Additionally, the beacon service can use Zebra's Bluetooth Low Energy (BLE)-enabled batteries to continue receiving beacon information from a device that is powered-down.&#x20;

The beacon service requires that the Device Finder application be silently initialized by an intent, either a regularly triggered custom intent or a one-time intent through an MDM.&#x20;

The action to initialize beaconing via [custom intent](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/custom-intents) is:

```json
{
      "package": "com.bluefletch.ems.deviceinformation",
      "class": "com.bluefletch.ems.deviceinformation.SilentInitActivity",
      "flags" : 1,
      "typeIntent": "a"
}
```

Examples of alternative one-time commands are below.

**Example ADB**

```json
adb shell am start -n com.bluefletch.ems.deviceinformation/com.bluefletch.ems.deviceinformation.SilentInitActivity
```

**Example AirWatch Command**

```json
mode=explicit,package=com.bluefletch.ems.deviceinformation,class=com.bluefletch.ems.deviceinformation.SilentInitActivity,broadcast=false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-finder/features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
